<?php
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);

	//Import PHPMailer classes into the global namespace
	//These must be at the top of your script, not inside a function
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\SMTP;
	use PHPMailer\PHPMailer\Exception;
	
	// OPEN DB CONNECTION
	require('dbconfig.php');

	if(in_array($_POST['indicator'], array('tracksignup', 'trackmoreinfo'))){

		$prospect_id = mysqli_real_escape_string($conn, $_POST['pid']);
		$user_id     = mysqli_real_escape_string($conn, $_POST['uid']);
		$indicator   = mysqli_real_escape_string($conn, $_POST['indicator']);

		// GET THE PROSPECT DETAILS
		$prospect_sql = "SELECT * FROM prospects WHERE id='$prospect_id' AND user_id='$user_id' LIMIT 1";
		$prospect_result = $conn->query($prospect_sql);

		if($prospect_result->num_rows > 0){

			$created = date('Y-m-d H:i:s');

			// FIND PROSPECT INFO
			$prospect_row = $prospect_result->fetch_assoc();
			$first_name   = $prospect_row['first_name'];

			// FIND USER INFO
			$user_sql     = "SELECT * FROM users WHERE id='$user_id' LIMIT 1";
			$user_result  = $conn->query($user_sql);
			$user_row     = $user_result->fetch_assoc();
			$pfirst_name  = $user_row['first_name'];
			$sender_name  = $user_row['first_name'] . ' ' . $user_row['last_name'];
			$sender_email = $user_row['email'];

			// BUILD THE TEMPLATE
			if($indicator == 'tracksignup'){

				// ADD INFO TO FOOTPRINT
				$footprint_indc = 'tracksignup';
				$footprint_desc = 'Prospect has clicked on the sign up button';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				$subject_line    = 'Your prospect has clicked on the sign up button';
				$notify_template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body{ margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 25px 0; color: white; } </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> <h3>Hi '. $pfirst_name .',</h3> <p style="margin-top: 0;">Congratulations!</p> <p>'. $first_name .' has just clicked on sign up button. Send thanks to them for exploring Anovite.</p> <p>Wishing you every success with your business!</p> <p>Thanks,</p> <h4>GHB Support</h4> </div> <div class="footer"> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> </body> </html>';
			}
			if($indicator == 'trackmoreinfo'){

				// ADD INFO TO FOOTPRINT
				$footprint_indc = 'trackmoreinfo';
				$footprint_desc = 'Prospect has requested More Information';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$user_id', '$prospect_id', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				$subject_line    = 'Your prospect has requested More Information';
				$notify_template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body { margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 25px 0; color: white; } </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> <h3>Hi '. $pfirst_name .',</h3> <p style="margin-top: 0;">Congratulations!</p> <p>'. $first_name .' has just clicked on more information button. Send thanks to them for exploring Anovite.</p> <p>Wishing you every success with your business!</p> <p>Thanks,</p> <h4>GHB Support</h4> </div> <div class="footer"> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> </body> </html>';
			}

			//************************************//
			//******* EMAIL CONFIGURATION ********//
			//************************************//

			//Load Composer's autoloader
			require 'vendor/autoload.php';

			//Create an instance; passing `true` enables exceptions
			$mail = new PHPMailer(true);

			try {
			    //Server settings
			    $mail->CharSet    = 'UTF-8';
			    $mail->SMTPDebug  = false; 
			    $mail->isSMTP();
			    $mail->Host       = 'ghbsystem.co.uk';
			    $mail->SMTPAuth   = true;
			    $mail->Username   = 'support@ghbsystem.co.uk';
			    $mail->Password   = 'San&#040206';
			    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
			    $mail->Port       = 465;

			    //Recipients
			    $mail->setFrom('support@ghbsystem.co.uk', 'GHB');
			    $mail->addAddress($sender_email, $sender_name);

			    //Content
			    $mail->isHTML(true);
			    $mail->Subject = $subject_line;
			    $mail->Body    = $notify_template;

			    //SEND EMAIL TO THE TRAVEL PARTNER
				$mail->send();

			} catch (Exception $e) {
			   // do something else
			}
			echo json_encode(array('status' => true, 'msg' => 'Thanks for your action'));
		} else {
			echo json_encode(array('status' => false, 'msg' => 'Invalid prospect'));
		}
	} else {
		echo json_encode(array('status' => false, 'msg' => 'Invalid request'));
	}
	// CLOSE DB CONNECTION
	$conn->close();
?>