<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Forget Password | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
 	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=988"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body>

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>
	
	<div class="toast-container position-fixed bottom-0 start-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<div class="account-pages my-5 pt-sm-5">
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-md-8 col-lg-6 col-xl-5">
					<div class="card overflow-hidden">
						<div class="bg-primary-subtle">
							<div class="row">
								<div class="col-7">
									<div class="text-primary p-4">
										<h5 class="text-primary">Reset Password !</h5>
										<p>Please inseet your email address you used to register. We will sent you and email with instructions.</p>
									</div>
								</div>
								<div class="col-5 align-self-end">
									<img src="assets/images/profile-img.png" alt="" class="img-fluid">
								</div>
							</div>
						</div>
						<div class="card-body pt-0">
							<div class="auth-logo">
								<a href="/" class="auth-logo-light">
									<div class="avatar-md profile-user-wid mb-4">
										<span class="avatar-title rounded-circle bg-light">
											<img src="assets/images/logo-sm.png" alt="" class="rounded-circle" height="34">
										</span>
									</div>
								</a>

								<a href="/" class="auth-logo-dark">
									<div class="avatar-md profile-user-wid mb-4">
										<span class="avatar-title rounded-circle bg-light">
											<img src="assets/images/logo-sm.png" alt="" class="rounded-circle" height="34">
										</span>
									</div>
								</a>
							</div>
							<div class="p-2">
								<form class="forget-form" method="POST" action="">
									<input type="hidden" name="data[indicator]" value="forget_password">
									<div class="mb-3">
										<label for="email" class="form-label">Email<span class="text-danger">*</span></label>
										<input type="email" class="form-control" name="data[email]" required>
									</div>
									<div class="mb-3 d-grid">
										<button class="btn btn-primary waves-effect waves-light" type="submit">Reset your password</button>
									</div>
								</form>
							</div>
						</div>
					</div>
					<div class="mt-5 text-center">
						<div>
							<p>Already have an login ? <a href="login.php" class="fw-medium text-primary"> Login</a> </p>
							<p>&copy; <?php echo date('Y'); ?> Anovite. Crafted with <i class="mdi mdi-heart text-danger"></i> by Global Home Business</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
    <!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>
  	
	<!-- App js -->
	<script src="assets/js/app.js"></script>
		
    <script type="text/javascript">

			$(document).ready(function(){

				$('.forget-form').validate({
					rules: {
						'data[email]': {
							required: true,
							email: true
						}
					},
					messages: {
						'data[email]': {
							required: 'Need your email to contact',
							email: 'Please enter a valid email'
						},
					},
					errorElement: "em",
					errorPlacement: function ( error, element ) {
						// Add the `invalid-feedback` class to the error element
						error.addClass("invalid-feedback");

						if (element.prop("type") === "checkbox") {
							error.insertAfter(element.next("label"));
						} else {
							error.insertAfter(element);
						}
					},
					highlight: function (element, errorClass, validClass) {
						$(element).addClass("is-invalid").removeClass("is-valid");
					},
					unhighlight: function (element, errorClass, validClass) {
						$(element).addClass("is-valid").removeClass("is-invalid");
					},
					submitHandler: function(form) {

						// SET GHB CUSTOMER MAIL
						var forgetData = $(form).serialize();

						$.ajax({
							url: 'functions.php',
							type: 'POST',
							data: forgetData
						}).done(function(res) {
							var resp = $.parseJSON(res);

							if (resp.status == true) {
								$('.forget-form').empty().append('<p class="text-secondary">A password reset message was sent to your email address. Please check the link in the message to reset your password.</p><p class="text-secondary">If you do not receive the password reset message within a few moments, please check your spam folder or other filtering tools.</p>');
							} else {
								$('#liveToast .toast-body').empty().html(resp.msg);
								$('#liveToast').toast('show');
							}
						});
					}
				});
			});
		</script>
  </body>
</html>