<?php
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);

	//Import PHPMailer classes into the global namespace
	//These must be at the top of your script, not inside a function
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\SMTP;
	use PHPMailer\PHPMailer\Exception;
	
	// OPEN DB CONNECTION
	require('dbconfig.php');

	if(isset($_POST) && !empty($_POST['indicator'])){

		$first_name = mysqli_real_escape_string($conn, $_POST['fname']);
		$last_name  = mysqli_real_escape_string($conn, $_POST['lname']);
		$full_name  = $first_name . ' ' . $last_name;
		$email      = mysqli_real_escape_string($conn, $_POST['email']);
		$phone      = mysqli_real_escape_string($conn, $_POST['phone']);
		$type       = mysqli_real_escape_string($conn, $_POST['type']);
		$country    = mysqli_real_escape_string($conn, $_POST['country']);
		$dial_code  = mysqli_real_escape_string($conn, $_POST['dial_code']);
		$created    = date('Y-m-d H:i:s');

		// CHECK IF THE EMAIL ALREADY EXIST
		$sql    = "SELECT * FROM prospects WHERE email='$email'";
		$result = $conn->query($sql);
		if($result->num_rows > 0){
			echo json_encode(array('status' => false, 'msg' => 'Email already exist'));
		} else {

			// FIND A COLLECTOR
			$user_sql = "SELECT * FROM users WHERE type='collector' AND lead_flag=false ORDER BY RAND() LIMIT 1";
			$user_result = $conn->query($user_sql);
			if($user_result->num_rows > 0){
				
				$user_row     = $user_result->fetch_assoc();
				$user_id      = $user_row['id'];
				$pfirst_name  = $user_row['first_name'];
				$sender_name  = $user_row['first_name'] . ' ' . $user_row['last_name'];
				$sender_email = $user_row['email'];

				$add_sql = "INSERT INTO prospects (user_id, first_name, last_name, type, email, phone, dial_code, country, source, created) VALUES ('$user_id', '$first_name', '$last_name', '$type', '$email', '$phone', '$dial_code', '$country', 'page', '$created')";
				if($conn->query($add_sql) === TRUE){

					$prospect_id  = $conn->insert_id;

					// UPDATE COLLECTOR
					$update_sql = "UPDATE users SET lead_flag=1 WHERE id='$user_id'";
					$conn->query($update_sql);

					// ADJUST THE COLLECTOR
					$count_collector_sql = "SELECT COUNT(id) FROM users WHERE type='collector'";
					$count_collector_result = $conn->query($update_sql);

					$count_leadflag_sql = "SELECT COUNT(id) FROM users WHERE lead_flag=1";
					$count_leadflag_result->num_rows = $conn->query($update_sql);

					if($count_collector_result->num_rows == $count_leadflag_result->num_rows){
						$update_leadflag_sql = "UPDATE users SET lead_flag=0 WHERE type='collector'";
						$conn->query($update_leadflag_sql);
					}

					// TRIGGER AUTO FOLLOW UP
					if($type == 'bsprospect'){

						// FIND TEMPLATES
						$template_sql    = "SELECT * FROM ptemplates WHERE user_id=$user_id AND indicator='bsprospect'";
						$template_result = $conn->query($template_sql);
						if($template_result->num_rows > 0){
							while($template_row = $template_result->fetch_assoc()) {

								$ptemplate_id = $template_row['id'];
								$time_unit    = $template_row['time_unit'];
								$sending_time = $template_row['sending_time'];

								// PICK THE CURRENT SERVER TIME
								$curr_date = date('Y-m-d H:i:s');

								if($sending_time == 0){
									$sending_date = date('Y-m-d H:i:s', strtotime('+ 1 minute', strtotime($curr_date)));
								} else if($sending_time == 1){
									$sending_date = date('Y-m-d H:i:s', strtotime('+ ' . $sending_time . ' ' . $time_unit, strtotime($curr_date)));
								} else {
									$sending_date = date('Y-m-d H:i:s', strtotime('+ ' . $sending_time . ' ' . $time_unit, strtotime($curr_date)));
								}

								// SCHEDULE TEMPLATES
								$eshot_sql = "INSERT INTO eshots (user_id, prospect_id, ptemplate_id, sending_date, status, created) VALUES ('$user_id', '$prospect_id', '$ptemplate_id', '$sending_date', 1, '$created')";
								$conn->query($eshot_sql);
							}
						}
					}

					// BUILD THE TEMPLATE
					$subject_line    = 'New prospect notification from Anovite';
					$notify_template = '<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <title>Anovite</title> <style> @import url(\'https://fonts.cdnfonts.com/css/calibri\'); body { margin: 0; padding: 0; } .container { max-width: 600px; margin: 0 auto; font-size: 16px; font-family: \'Calibri\', sans-serif; background-color: #f2f2f2; } .content{ padding: 15px; min-height:300px;} .header img { max-width: 100%; height: auto; } .footer { background-color: #29abe2; text-align: center; padding: 25px 0; color: white; } </style> </head> <body> <div class="container"> <div class="header"> <img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" alt="Header Image"> </div> <div class="content"> <h3>Hi '. $pfirst_name .',</h3> <p style="margin-top: 0;">Congratulations!</p> <p>'. $full_name .' has just completed the form on your prospect page. They will automatically start receiving the follow up email campaign but we suggest you contact them to ensure they watch the 7 minute presentation.</p> <p>Wishing you every success with your business!</p> <p>Thanks,</p> <h4>GHB Support</h4> </div> <div class="footer"> <p>&copy; '. date('Y') .' GHB. All rights reserved</p> </div> </div> </body> </html>';

					//************************************//
					//******* EMAIL CONFIGURATION ********//
					//************************************//

					//Load Composer's autoloader
					require 'vendor/autoload.php';

					//Create an instance; passing `true` enables exceptions
					$mail = new PHPMailer(true);

					try {
					    //Server settings
					    $mail->CharSet    = 'UTF-8';
					    $mail->SMTPDebug  = false; 
					    $mail->isSMTP();
					    $mail->Host       = 'ghbsystem.co.uk';
					    $mail->SMTPAuth   = true;
					    $mail->Username   = 'support@ghbsystem.co.uk';
					    $mail->Password   = 'San&#040206';
					    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
					    $mail->Port       = 465;

					    //Recipients
					    $mail->setFrom('support@ghbsystem.co.uk', 'GHB');
					    $mail->addAddress($sender_email, $sender_name);

					    //Content
					    $mail->isHTML(true);
					    $mail->Subject = $subject_line;
					    $mail->Body    = $notify_template;

					    //SEND EMAIL TO THE TRAVEL PARTNER
						$mail->send();

					} catch (Exception $e) {
					   // do something else
					}

					echo json_encode(array('status' => true, 'uid' => $user_id, 'pid' => $prospect_id, 'token' => md5(rand()), 'msg' => 'Information captured successfully'));
				} else {
					echo json_encode(array('status' => false, 'uid' => '', 'pid' => '', 'token' => md5(rand()), 'msg' => 'Failed to send information'));
				}
			} else {
				echo json_encode(array('status' => false, 'website' =>'', 'pid' => '', 'token' => md5(rand()), 'msg' => 'Invalid associate'));
			}
		}
	} else {
		echo json_encode(array('status' => false, 'msg' => 'Invalid request'));
	}
	// CLOSE DB CONNECTION
	$conn->close();
?>