<?php  
    session_start();
    error_reporting(0);
    ini_set('display_errors', false);
    ini_set('display_startup_errors', false);

    // OPEN DB CONNECTION
    require('dbconfig.php');

    // GET THE TRACKING ID
    $flag = false;
    $stramid     = substr($_GET['sid'], 6);
    $prospect_id = $_GET['pid'];
    $created     = date('Y-m-d H:i:s');
    
    if(isset($stramid) && !empty($stramid)){

        // tracking stuff
        $check_sql = "SELECT * FROM streams WHERE id='$stramid' LIMIT 1";
        $check_result = $conn->query($check_sql);
        if($check_result->num_rows > 0){

            $check_row = $check_result->fetch_assoc();
            $user_id   = $check_row['user_id'];
            $videoname = $check_row['name'];
            $videofile = $check_row['filename'];
            $videourl  = $check_row['video_url'];

            // FIND PRESENTER INFO
			$presenter_sql    = "SELECT * FROM users WHERE id='$user_id'";
			$presenter_result = $conn->query($presenter_sql);
			$presenter_row    = $presenter_result->fetch_assoc();
			$presenter_name   = $presenter_row['first_name'] . ' ' . $presenter_row['last_name'];
			$presenter_email  = $presenter_row['email'];
			$presenter_phone  = $presenter_row['phone'];
			$presenter_image  = $presenter_row['image'] ? 'assets/images/users/' . $presenter_row['image'] : 'assets/images/users/no_image.jpg';

            if(!empty($videofile)){
            	$video_link = 'https://ghbsystem.co.uk/files/videos/' . $videofile;
            }
            if(!empty($videourl)){
            	$video_link = $videourl;
            }

            $flag = true;
        }
    } else {
        $flag = false;
    }
    
    // CLOSE DB CONNECTION
    $conn->close();
?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Presentation | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  <meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=988"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body class="bg-dark bg-gradient">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>
	
	<div class="account-pages my-5 pt-sm-5">
		<div class="container">
			<?php if($flag): ?>
			<div class="row justify-content-center">
				<div class="col-md-3 order-md-1 order-2">
					<div class="card h-100">
						<div class="card-body text-center">
							<img src="<?php echo $presenter_image; ?>" class="img-fluid rounded-circle" alt="Image not found">
							<hr>
							<p class="fs-6 mb-1">Presenter</p>
							<h3 class="fs-5"><?php echo $presenter_name; ?></h3>
							<p class="text-muted">Independent Associate</p>
							<p class="fs-6 mb-1">Phone</p>
							<p class="fs-6 mb-4"><a href="tel:<?php echo $presenter_phone; ?>" class="text-decoration-none text-info"><?php echo $presenter_phone; ?></a></p>
							<img src="assets/images/logo.png" class="img-fluid" alt="Image not found">
						</div>
					</div>
				</div>
				<div class="col-md-9 order-md-2 order-1 mb-md-0 mb-4">
					<div class="card h-100">
						<div class="card-body">
							<div class="ratio ratio-16x9">
							  <iframe src="<?php echo $video_link; ?>" title="Presentation video" allowfullscreen></iframe>
							</div>
						</div>
					</div>
				</div>
			</div>
			 <?php else : ?>
			 <div class="row justify-content-center">
			 	<div class="col-md-5">
			 		<div class="card">
			 			<div class="card-body text-center">
						 	<p class="display-1 text-danger"><i class="bx bx-confused"></i></p>
			                <h3>Opps!! some went wrong</h3>
			            </div>
			        </div>
	            </div>
            </div>
            <?php endif; ?>
			<div class="row">
				<div class="col">
					<div class="mt-5 text-center">
						<p class="text-white">&copy; <?php echo date('Y'); ?> Anovite. Crafted with <i class="mdi mdi-heart text-danger"></i> by Global Home Business</p>
					</div>
				</div>
			</div>
		</div>
	</div>
    <!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>
  	
	<!-- App js -->
	<script src="assets/js/app.js"></script>
  </body>
</html>