<?php
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: login.php");exit;
	}

	$user_id = $_SESSION['User']['id'];
    $role    = $_SESSION['User']['role'];
    $user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
    $profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Anovite Settings | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<div class="toast-container position-fixed bottom-0 start-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>
	
	<!-- Begin page -->
	<div id="layout-wrapper">


		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->

		<!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <div class="page-content">
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18">Settings</h4>
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="dashboard.php?token=<?php echo md5(rand());?>">Dashboard</a></li>
                                            <li class="breadcrumb-item active">profile</li>
                                        </ol>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!-- end page title -->
        
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
        
                                        <h4 class="card-title">Profile settings</h4>
                                        <p class="card-title-desc">Access and Manage Your Email Marketing Contacts</p>
        	
                                        <div class="row">
											<div class="col-12 col-sm-12 col-md-3">
												<img src="<?php echo $profile_image; ?>" class="img-thumbnail mb-3" alt="Image not found">
												<div class="card mb-3">
													<div class="card-header">
														<h4 class="text-muted m-0 fs-6">Change Password</h4>
													</div>
													<div class="card-body">
														<form method="post" action="#" class="password-form">
															<input type="hidden" name="data[indicator]" value="change_password">
															<div class="mb-2">
																<label for="old_password" class="form-label">Old Password</label>
																<input type="text" class="form-control" name="data[old_password]" value="<?php echo substr($_SESSION['User']['real_password'], 0, 4) . 'xxxx';?>" disabled>
															</div>
															<div class="mb-2">
																<label for="new_password" class="form-label">New Password<span class="text-danger">*</span></label>
																<input type="password" class="form-control" minlength="8" name="data[new_password]" required>
															</div>
															<div class="d-grid">
																<button type="submit" class="btn btn-primary">Update</button>
															</div>
														</form>
													</div>
												</div>
												<div class="card border bg-light">
													<div class="card-header bg-light">
														<h4 class="text-muted m-0 fs-6">Email Setup</h4>
													</div>
													<div class="card-body">
														<form method="post" action="#" class="resetmail-form">
															<input type="hidden" name="data[indicator]" value="reset_template">
															<input type="hidden" name="data[user_id]" value="<?php echo $user_id;?>">
														  <div class="d-grid">
														    <button type="submit" class="btn btn-primary">Reset Email Templates</button>
														  </div>
														</form>
													</div>
												</div>
											</div>
											<div class="col-12 col-sm-12 col-md-9">
												<form method="post" action="#" enctype="multipart/form-data" class="edituser-form mb-4">
													<input type="hidden" name="data[indicator]" value="edit_user">
													<input type="hidden" name="data[user_id]" value="<?php echo $user_id;?>">
													<div class="card">
														<div class="card-body">
															<div class="row">
																<div class="col-md-6 mb-3">
																	<label for="first_name" class="form-label">First Name<span class="text-danger">*</span></label>
																	<input type="text" class="form-control" name="data[first_name]" value="<?php echo $_SESSION['User']['first_name'];?>" placeholder="First Name" required>
																</div>
																<div class="col-md-6 mb-3">
																	<label for="last_name" class="form-label">Last Name<span class="text-danger">*</span></label>
																	<input type="text" class="form-control" name="data[last_name]" value="<?php echo $_SESSION['User']['last_name'];?>" placeholder="Last Name" required>
																</div>
																<div class="col-md-6 mb-3">
																	<label for="email" class="form-label">Email Address<span class="text-danger">*</span></label>
																	<input type="email" class="form-control" name="data[email]" value="<?php echo $_SESSION['User']['email'];?>" placeholder="Email Address" required>
																</div>
																<div class="col-md-6 mb-3">
																	<label for="phone" class="form-label">Phone Number</label>
																	<input type="text" class="form-control" name="data[phone]" value="<?php echo $_SESSION['User']['phone'];?>" placeholder="Phone">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="address" class="form-label">Address</label>
																	<input type="text" class="form-control" name="data[address]" value="<?php echo $_SESSION['User']['address'];?>" placeholder="Address">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="city" class="form-label">City</label>
																	<input type="text" class="form-control" name="data[city]" value="<?php echo $_SESSION['User']['city'];?>" placeholder="City">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="zip_code" class="form-label">Post Code</label>
																	<input type="text" class="form-control" name="data[zip_code]" value="<?php echo $_SESSION['User']['zip_code'];?>" placeholder="Post Code">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="state" class="form-label">State</label>
																	<input type="text" class="form-control" name="data[state]" value="<?php echo $_SESSION['User']['state'];?>" placeholder="State">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="country" class="form-label">Country<span class="text-danger">*</span></label>
																	<select id="country" name="data[country]" class="form-select" required>
																		<option value="">Select country</option>
																	    <option value="AF">Afghanistan</option>
																	    <option value="AX">Aland Islands</option>
																	    <option value="AL">Albania</option>
																	    <option value="DZ">Algeria</option>
																	    <option value="AS">American Samoa</option>
																	    <option value="AD">Andorra</option>
																	    <option value="AO">Angola</option>
																	    <option value="AI">Anguilla</option>
																	    <option value="AQ">Antarctica</option>
																	    <option value="AG">Antigua and Barbuda</option>
																	    <option value="AR">Argentina</option>
																	    <option value="AM">Armenia</option>
																	    <option value="AW">Aruba</option>
																	    <option value="AU">Australia</option>
																	    <option value="AT">Austria</option>
																	    <option value="AZ">Azerbaijan</option>
																	    <option value="BS">Bahamas</option>
																	    <option value="BH">Bahrain</option>
																	    <option value="BD">Bangladesh</option>
																	    <option value="BB">Barbados</option>
																	    <option value="BY">Belarus</option>
																	    <option value="BE">Belgium</option>
																	    <option value="BZ">Belize</option>
																	    <option value="BJ">Benin</option>
																	    <option value="BM">Bermuda</option>
																	    <option value="BT">Bhutan</option>
																	    <option value="BO">Bolivia</option>
																	    <option value="BQ">Bonaire, Sint Eustatius and Saba</option>
																	    <option value="BA">Bosnia and Herzegovina</option>
																	    <option value="BW">Botswana</option>
																	    <option value="BV">Bouvet Island</option>
																	    <option value="BR">Brazil</option>
																	    <option value="IO">British Indian Ocean Territory</option>
																	    <option value="BN">Brunei Darussalam</option>
																	    <option value="BG">Bulgaria</option>
																	    <option value="BF">Burkina Faso</option>
																	    <option value="BI">Burundi</option>
																	    <option value="KH">Cambodia</option>
																	    <option value="CM">Cameroon</option>
																	    <option value="CA">Canada</option>
																	    <option value="CV">Cape Verde</option>
																	    <option value="KY">Cayman Islands</option>
																	    <option value="CF">Central African Republic</option>
																	    <option value="TD">Chad</option>
																	    <option value="CL">Chile</option>
																	    <option value="CN">China</option>
																	    <option value="CX">Christmas Island</option>
																	    <option value="CC">Cocos (Keeling) Islands</option>
																	    <option value="CO">Colombia</option>
																	    <option value="KM">Comoros</option>
																	    <option value="CG">Congo</option>
																	    <option value="CD">Congo, Democratic Republic of the Congo</option>
																	    <option value="CK">Cook Islands</option>
																	    <option value="CR">Costa Rica</option>
																	    <option value="CI">Cote D'Ivoire</option>
																	    <option value="HR">Croatia</option>
																	    <option value="CU">Cuba</option>
																	    <option value="CW">Curacao</option>
																	    <option value="CY">Cyprus</option>
																	    <option value="CZ">Czech Republic</option>
																	    <option value="DK">Denmark</option>
																	    <option value="DJ">Djibouti</option>
																	    <option value="DM">Dominica</option>
																	    <option value="DO">Dominican Republic</option>
																	    <option value="EC">Ecuador</option>
																	    <option value="EG">Egypt</option>
																	    <option value="SV">El Salvador</option>
																	    <option value="GQ">Equatorial Guinea</option>
																	    <option value="ER">Eritrea</option>
																	    <option value="EE">Estonia</option>
																	    <option value="ET">Ethiopia</option>
																	    <option value="FK">Falkland Islands (Malvinas)</option>
																	    <option value="FO">Faroe Islands</option>
																	    <option value="FJ">Fiji</option>
																	    <option value="FI">Finland</option>
																	    <option value="FR">France</option>
																	    <option value="GF">French Guiana</option>
																	    <option value="PF">French Polynesia</option>
																	    <option value="TF">French Southern Territories</option>
																	    <option value="GA">Gabon</option>
																	    <option value="GM">Gambia</option>
																	    <option value="GE">Georgia</option>
																	    <option value="DE">Germany</option>
																	    <option value="GH">Ghana</option>
																	    <option value="GI">Gibraltar</option>
																	    <option value="GR">Greece</option>
																	    <option value="GL">Greenland</option>
																	    <option value="GD">Grenada</option>
																	    <option value="GP">Guadeloupe</option>
																	    <option value="GU">Guam</option>
																	    <option value="GT">Guatemala</option>
																	    <option value="GG">Guernsey</option>
																	    <option value="GN">Guinea</option>
																	    <option value="GW">Guinea-Bissau</option>
																	    <option value="GY">Guyana</option>
																	    <option value="HT">Haiti</option>
																	    <option value="HM">Heard Island and Mcdonald Islands</option>
																	    <option value="VA">Holy See (Vatican City State)</option>
																	    <option value="HN">Honduras</option>
																	    <option value="HK">Hong Kong</option>
																	    <option value="HU">Hungary</option>
																	    <option value="IS">Iceland</option>
																	    <option value="IN">India</option>
																	    <option value="ID">Indonesia</option>
																	    <option value="IR">Iran, Islamic Republic of</option>
																	    <option value="IQ">Iraq</option>
																	    <option value="IE">Ireland</option>
																	    <option value="IM">Isle of Man</option>
																	    <option value="IL">Israel</option>
																	    <option value="IT">Italy</option>
																	    <option value="JM">Jamaica</option>
																	    <option value="JP">Japan</option>
																	    <option value="JE">Jersey</option>
																	    <option value="JO">Jordan</option>
																	    <option value="KZ">Kazakhstan</option>
																	    <option value="KE">Kenya</option>
																	    <option value="KI">Kiribati</option>
																	    <option value="KP">Korea, Democratic People's Republic of</option>
																	    <option value="KR">Korea, Republic of</option>
																	    <option value="XK">Kosovo</option>
																	    <option value="KW">Kuwait</option>
																	    <option value="KG">Kyrgyzstan</option>
																	    <option value="LA">Lao People's Democratic Republic</option>
																	    <option value="LV">Latvia</option>
																	    <option value="LB">Lebanon</option>
																	    <option value="LS">Lesotho</option>
																	    <option value="LR">Liberia</option>
																	    <option value="LY">Libyan Arab Jamahiriya</option>
																	    <option value="LI">Liechtenstein</option>
																	    <option value="LT">Lithuania</option>
																	    <option value="LU">Luxembourg</option>
																	    <option value="MO">Macao</option>
																	    <option value="MK">Macedonia, the Former Yugoslav Republic of</option>
																	    <option value="MG">Madagascar</option>
																	    <option value="MW">Malawi</option>
																	    <option value="MY">Malaysia</option>
																	    <option value="MV">Maldives</option>
																	    <option value="ML">Mali</option>
																	    <option value="MT">Malta</option>
																	    <option value="MH">Marshall Islands</option>
																	    <option value="MQ">Martinique</option>
																	    <option value="MR">Mauritania</option>
																	    <option value="MU">Mauritius</option>
																	    <option value="YT">Mayotte</option>
																	    <option value="MX">Mexico</option>
																	    <option value="FM">Micronesia, Federated States of</option>
																	    <option value="MD">Moldova, Republic of</option>
																	    <option value="MC">Monaco</option>
																	    <option value="MN">Mongolia</option>
																	    <option value="ME">Montenegro</option>
																	    <option value="MS">Montserrat</option>
																	    <option value="MA">Morocco</option>
																	    <option value="MZ">Mozambique</option>
																	    <option value="MM">Myanmar</option>
																	    <option value="NA">Namibia</option>
																	    <option value="NR">Nauru</option>
																	    <option value="NP">Nepal</option>
																	    <option value="NL">Netherlands</option>
																	    <option value="AN">Netherlands Antilles</option>
																	    <option value="NC">New Caledonia</option>
																	    <option value="NZ">New Zealand</option>
																	    <option value="NI">Nicaragua</option>
																	    <option value="NE">Niger</option>
																	    <option value="NG">Nigeria</option>
																	    <option value="NU">Niue</option>
																	    <option value="NF">Norfolk Island</option>
																	    <option value="MP">Northern Mariana Islands</option>
																	    <option value="NO">Norway</option>
																	    <option value="OM">Oman</option>
																	    <option value="PK">Pakistan</option>
																	    <option value="PW">Palau</option>
																	    <option value="PS">Palestinian Territory, Occupied</option>
																	    <option value="PA">Panama</option>
																	    <option value="PG">Papua New Guinea</option>
																	    <option value="PY">Paraguay</option>
																	    <option value="PE">Peru</option>
																	    <option value="PH">Philippines</option>
																	    <option value="PN">Pitcairn</option>
																	    <option value="PL">Poland</option>
																	    <option value="PT">Portugal</option>
																	    <option value="PR">Puerto Rico</option>
																	    <option value="QA">Qatar</option>
																	    <option value="RE">Reunion</option>
																	    <option value="RO">Romania</option>
																	    <option value="RU">Russian Federation</option>
																	    <option value="RW">Rwanda</option>
																	    <option value="BL">Saint Barthelemy</option>
																	    <option value="SH">Saint Helena</option>
																	    <option value="KN">Saint Kitts and Nevis</option>
																	    <option value="LC">Saint Lucia</option>
																	    <option value="MF">Saint Martin</option>
																	    <option value="PM">Saint Pierre and Miquelon</option>
																	    <option value="VC">Saint Vincent and the Grenadines</option>
																	    <option value="WS">Samoa</option>
																	    <option value="SM">San Marino</option>
																	    <option value="ST">Sao Tome and Principe</option>
																	    <option value="SA">Saudi Arabia</option>
																	    <option value="SN">Senegal</option>
																	    <option value="RS">Serbia</option>
																	    <option value="CS">Serbia and Montenegro</option>
																	    <option value="SC">Seychelles</option>
																	    <option value="SL">Sierra Leone</option>
																	    <option value="SG">Singapore</option>
																	    <option value="SX">Sint Maarten</option>
																	    <option value="SK">Slovakia</option>
																	    <option value="SI">Slovenia</option>
																	    <option value="SB">Solomon Islands</option>
																	    <option value="SO">Somalia</option>
																	    <option value="ZA">South Africa</option>
																	    <option value="GS">South Georgia and the South Sandwich Islands</option>
																	    <option value="SS">South Sudan</option>
																	    <option value="ES">Spain</option>
																	    <option value="LK">Sri Lanka</option>
																	    <option value="SD">Sudan</option>
																	    <option value="SR">Suriname</option>
																	    <option value="SJ">Svalbard and Jan Mayen</option>
																	    <option value="SZ">Swaziland</option>
																	    <option value="SE">Sweden</option>
																	    <option value="CH">Switzerland</option>
																	    <option value="SY">Syrian Arab Republic</option>
																	    <option value="TW">Taiwan, Province of China</option>
																	    <option value="TJ">Tajikistan</option>
																	    <option value="TZ">Tanzania, United Republic of</option>
																	    <option value="TH">Thailand</option>
																	    <option value="TL">Timor-Leste</option>
																	    <option value="TG">Togo</option>
																	    <option value="TK">Tokelau</option>
																	    <option value="TO">Tonga</option>
																	    <option value="TT">Trinidad and Tobago</option>
																	    <option value="TN">Tunisia</option>
																	    <option value="TR">Turkey</option>
																	    <option value="TM">Turkmenistan</option>
																	    <option value="TC">Turks and Caicos Islands</option>
																	    <option value="TV">Tuvalu</option>
																	    <option value="UG">Uganda</option>
																	    <option value="UA">Ukraine</option>
																	    <option value="AE">United Arab Emirates</option>
																	    <option value="GB">United Kingdom</option>
																	    <option value="US">United States</option>
																	    <option value="UM">United States Minor Outlying Islands</option>
																	    <option value="UY">Uruguay</option>
																	    <option value="UZ">Uzbekistan</option>
																	    <option value="VU">Vanuatu</option>
																	    <option value="VE">Venezuela</option>
																	    <option value="VN">Viet Nam</option>
																	    <option value="VG">Virgin Islands, British</option>
																	    <option value="VI">Virgin Islands, U.s.</option>
																	    <option value="WF">Wallis and Futuna</option>
																	    <option value="EH">Western Sahara</option>
																	    <option value="YE">Yemen</option>
																	    <option value="ZM">Zambia</option>
																	    <option value="ZW">Zimbabwe</option>
																	</select>
																</div>
																<div class="col-md-6 mb-3">
																	<label for="profile_image" class="form-label">Image</label>
																	<input type="file" class="form-control" name="profile_image">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="capture_link" class="form-label">Lead Capture Page Link</label>
																	<input type="url" class="form-control" name="data[capture_link]" value="<?php echo $_SESSION['User']['capture_link'];?>">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="business_link" class="form-label">Business Page Link</label>
																	<input type="url" class="form-control" name="data[business_link]" value="<?php echo $_SESSION['User']['business_link'];?>">
																</div>
																<div class="col-md-6 mb-3">
																	<label for="token" class="form-label">API KEY</label>
																	<input type="text" class="form-control" name="data[token]" value="<?php echo $_SESSION['User']['token'];?>" readonly>
																</div>
															</div>
														</div>
														<div class="card-footer">
															<button class="btn btn-primary" type="submit">Save Changes</button>
														</div>
													</div>
												</form>
											</div>
										</div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div> <!-- container-fluid -->
                </div>
                <!-- End Page-content -->

                
                <?php include_once 'footer.php'; ?>
            </div>
            <!-- end main content-->

	</div>
	<input type="hidden" class="country" value="<?php echo $_SESSION['User']['country'];?>">
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>
  	
	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo md5(rand());?>"></script>

</body>

</html>