<?php
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: index.php");exit;
	}

	$user_id = $_SESSION['User']['id'];
	$role    = $_SESSION['User']['role'];
	$user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
	$profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

	// OPEN DB CONNECTION
	require('dbconfig.php');

	$prospect_id = $_GET['pid'];
	
	if(isset($prospect_id) && !empty($prospect_id)){

		// CHECK IF EXIST
		$check_sql = "SELECT * FROM prospects WHERE id='$prospect_id' LIMIT 1";
		$check_result = $conn->query($check_sql);
		if($check_result->num_rows > 0) {
			$prospect_row = $check_result->fetch_assoc();
		} else {
			header("Location: 404.php");exit;
		}

	} else {
		header("Location: 404.php");exit;
	}

	// FIND TRACKING INFO
	$footprints = array();
	$footprint_sql = "SELECT * FROM footprints WHERE prospect_id=$prospect_id ORDER BY created DESC";
	$footprint_result = $conn->query($footprint_sql);
	if($footprint_result->num_rows > 0){
		while($footprint_row = $footprint_result->fetch_assoc()) {
			$footprints[] = $footprint_row;
		}
	}

	// CLOSE THE CONNECTION
	$conn->close();

	if(!empty($prospect_row['phone'])){
		// REMOVE ALL SPECIAL CHARACTERS FROM A PHONE NUMBER
        $phone = $prospect_row['dial_code'] . ' ' . $prospect_row['phone'];
        preg_match_all('!\d+!', $phone, $matches);
        $phone_number = implode('', $matches[0]);
	}
?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Anovite Add Contact | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.css" rel="stylesheet">
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<div class="toast-container position-fixed bottom-0 start-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<!-- SEND PERSONAL EMAIL MODAL -->
	<div class="modal fade" id="emailModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="emailModalLabel" aria-hidden="true">
	  <div class="modal-dialog modal-lg modal-dialog-centered">
	    <div class="modal-content">
	      <div class="modal-header">
	        <h5 class="text-dark" id="emailModalLabel">Send Email</h5>
	        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
	      </div>
	      <div class="modal-body">
	      	<div class="row justify-content-center">
		      	<div class="col-md-6">
			      	<form method="post" action="#" enctype="multipart/form-data" class="sendmail-form">
						<input type="hidden" name="data[type]" value="<?php echo $prospect_row['type'];?>">
						<input type="hidden" name="data[email]" value="<?php echo $prospect_row['email'];?>">
						<input type="hidden" name="data[prospect_id]" value="<?php echo $prospect_row['id'];?>">
						<input type="hidden" name="data[first_name]" value="<?php echo $prospect_row['first_name'];?>">
						<input type="hidden" name="data[indicator]" value="send_email">
			    		<div class="mb-3">
							<label for="subject" class="form-label">Subject<span class="text-danger">*</span></label>
							<input type="text" name="data[subject]" class="form-control dynamic-subject" required>
						</div>
						<div class="mb-3">
							<label for="message" class="form-label">Message<span class="text-danger">*</span></label>
							<textarea id="summernote" name="data[message]" class="dynamic-message" required></textarea>
						</div>
						<div class="mb-3">
							<label for="attachment_files" class="form-label">Attachments (Optional)</label>
							<input type="file" name="attachment_files[]" class="form-control" multiple>
						</div>
						<div class="d-grid mb-4">
							<button type="submit" class="btn btn-primary">Send</button>
						</div>
					</form>
				</div>
				<div class="col-md-6">
					<div class="card mb-4">
						<div class="card-body">
							<div class="email-subject">
								<p class="fw-bold">Subject: <span class="text-info fw-normal">No Subject</span></p>
							</div>
							<p class="fw-bold mb-1">Preview Template:</p>
							<div class="template-header text-center">
								<img src="https://ghbsystem.co.uk/assets/images/email_header.jpg" class="img-fluid" alt="Image not found">
							</div>
							<div class="template-body bg-light p-3" style="min-height: 200px;">
								{{MESSAGE BODY}}
							</div>
							<div class="template-signature bg-light px-3 pb-2">
								<p class="fw-bold mb-1"><?php echo $user_name; ?></p>
								<p class="text-muted mb-1">Independent Associate</p>
								<p class="fw-bold mb-1">Contact Details</p>
								<p class="mb-1">Email: <a href="mailto:<?php echo $_SESSION['User']['email'];?>"><?php echo $_SESSION['User']['email'];?></a></p>
								<p class="mb-0">Phone: <a href="tel:<?php echo $_SESSION['User']['phone'];?>"><?php echo $_SESSION['User']['phone'];?></a></p>
							</div>
							<div class="template-footer text-center p-4" style="background:#29abe2;">
								<p class="text-white">You are receiving this email because you requested information from Anovite's Income Opportunity. If you do not want to hear any more about this, <a href="javascript:;">click here</a>, and we will remove you from this series.</p>
								<p class="m-0 text-white">&copy; <?php echo date('Y'); ?> Anovite. All rights reserved.</p>
							</div>
						</div>
					</div>
				</div>
			</div>
	      </div>
	    </div>
	  </div>
	</div>

	<!-- SEND PERSONAL EMAIL MODAL -->
	<div class="modal fade" id="smsModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="smsModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="text-dark" id="smsModalLabel">Send SMS to +<?php echo $prospect_row['dial_code'] . $prospect_row['phone'];?></h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<form method="post" action="#" enctype="multipart/form-data" class="sendsms-form">
						<input type="hidden" name="data[type]" value="<?php echo $prospect_row['type'];?>">
						<input type="hidden" name="data[dial_code]" value="<?php echo $prospect_row['dial_code'];?>">
						<input type="hidden" name="data[phone]" value="<?php echo $prospect_row['phone'];?>">
						<input type="hidden" name="data[prospect_id]" value="<?php echo $prospect_row['id'];?>">
						<input type="hidden" name="data[first_name]" value="<?php echo $prospect_row['first_name'];?>">
						<input type="hidden" name="data[indicator]" value="send_sms">
						<div class="mb-3">
							<label for="message" class="form-label">Message<span class="text-danger">*</span></label>
							<textarea name="data[message]" rows="5" maxlength="150" class="form-control dynamic-message" required></textarea>
						</div>
						<div class="d-grid mb-4">
							<button type="submit" class="btn btn-primary">Send</button>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>

	<!-- Begin page -->
	<div id="layout-wrapper">


		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->

		<!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <div class="page-content">
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18">View Contact</h4>
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="contacts.php?token=<?php echo md5(rand());?>">Contacts</a></li>
                                            <li class="breadcrumb-item active">view</li>
                                        </ol>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!-- end page title -->
        
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title">Contact Details</h4>
                                        <p class="card-title-desc">Managing Contact Information</p>
        								<div class="row">
											<div class="col-md-4">
												<div class="table-responsive">
													<table class="table table-sm table-bordered">
														<tr>
															<td>Name:</td>
															<td colspan="3" class="fw-bold"><?php echo $prospect_row['first_name'] . ' ' . $prospect_row['last_name'];?></td>
														</tr>
														<tr>
															<td>Email:</td>
															<td colspan="3"><?php echo $prospect_row['email'];?></td>
														</tr>
														<tr>
															<td>Phone:</td>
															<td colspan="3">+<?php echo $prospect['dial_code'] . ' ' . $prospect_row['phone'];?></td>
														</tr>
														<tr>
															<td>Address:</td>
															<td colspan="3"><?php echo $prospect_row['address'];?></td>
														</tr>
														<tr>
															<td>City:</td>
															<td><?php echo $prospect_row['city'];?></td>
															<td>State:</td>
															<td><?php echo $prospect_row['state'];?></td>
														</tr>
														<tr>
															<td>Post Code:</td>
															<td><?php echo $prospect_row['post_code'];?></td>
															<td>Country:</td>
															<td><?php echo $prospect_row['country'];?></td>
														</tr>
														<tr>
															<td>Type:</td>
															<td class="text-capitalize"><?php echo $prospect_row['type'];?></td>
															<td>Source:</td>
															<td class="text-capitalize"><?php echo $prospect_row['method'];?></td>
														</tr>
														<tr>
															<td colspan="2">Note</td>
															<td colspan="2"><?php echo $prospect_row['note'];?></td>
														</tr>
													</table>
												</div>
												<a href="contacts.php?token=<?php echo md5(rand());?>" class="btn btn-danger mb-4"><i class="bx bx-reply"></i> Back</a>
												
											</div>
											<div class="col-md-8">
												<div class="row row-cols-md-3 row-cols-2 mb-4">
													<div class="col d-grid mb-3">
														<a href="https://wa.me/<?php echo $phone_number;?>" class="btn btn-success fw-bold fs-4" target="_blank"><i class="bx bxl-whatsapp"></i> Send WhatsApp</a>
													</div>
													<div class="col d-grid mb-3">
			        									<a href="tel:<?php echo $phone_number;?>" class="btn btn-primary fw-bold fs-4" target="_blank"><i class="bx bx-mobile"></i> Click to Call</a>
			        								</div>
													<div class="col d-grid mb-3">
			        									<a href="javascript:;" class="btn btn-warning fw-bold fs-4" data-bs-toggle="modal" data-bs-target="#smsModal"><i class="bx bx-message"></i> Send Personal SMS</a>
			        								</div>
													<div class="col d-grid mb-3">
			        									<a href="javascript:;" class="btn btn-info fw-bold fs-4" data-bs-toggle="modal" data-bs-target="#emailModal"><i class="bx bx-envelope"></i> Send Personal Email</a>
			        								</div>
													<div class="col d-grid mb-3">
														<a class="btn btn-secondary fw-bold fs-4 btn-followup" data-pid="<?php echo $prospect_row['id'];?>" data-type="<?php echo $prospect_row['type'];?>"><i class="fa fa-envelope"></i> Schedule Follow Up Email</a>
													</div>
												</div>
												<h3 class="text-secondary">Tracking Info</h3>
												<table id="datatable-buttons" class="table table-bordered table-sm dt-responsive nowrap w-100">
													<thead>
														<tr>
															<th>Id</th>
															<th>Details</th>
															<th>Created</th>
														</tr>
													</thead>
													<tbody>
														<?php foreach ($footprints as $key => $footprint) :?>
														<tr>
															<td><?php echo $key+1;?></td>
															<td><?php echo $footprint['description'];?></td>
															<td><?php echo date('d/m/Y', strtotime($footprint['created']));?></td>
														</tr>
														<?php endforeach; ?>
													</tbody>
												</table>
											</div>
										</div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div> <!-- container-fluid -->
                </div>
                <!-- End Page-content -->

                
                <?php include_once 'footer.php'; ?>
            </div>
            <!-- end main content-->

	</div>
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>

	<!-- Required datatable js -->
    <script src="assets/libs/datatables.net/js/jquery.dataTables.min.js"></script>
    <script src="assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js"></script>

     <!-- Buttons examples -->
    <script src="assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js"></script>
    <script src="assets/libs/jszip/jszip.min.js"></script>
    <script src="assets/libs/pdfmake/build/pdfmake.min.js"></script>
    <script src="assets/libs/pdfmake/build/vfs_fonts.js"></script>
    <script src="assets/libs/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="assets/libs/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="assets/libs/datatables.net-buttons/js/buttons.colVis.min.js"></script>

    <!-- Responsive examples -->
    <script src="assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
    <script src="assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js"></script>

    <!-- Datatable init js -->
    <script src="assets/js/pages/datatables.init.js"></script> 

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>

	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo rand();?>"></script>

	<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
	<script type="text/javascript">
		$(document).ready(function(){

			// CREATE HTML EDITOR
			$('#summernote').summernote({
				callbacks: {
				    onChange: function(contents, $editable) {
				      console.log('onChange:', contents, $editable);
				      $('.template-body').html(contents);
				    }
				},
				placeholder: 'Type your message here',
				tabsize: 2,
				height: 200,
				fontNames: ['Arial', 'Arial Black', 'Comic Sans MS', 'Courier New', 'Helvetica Neue', 'Helvetica', 'Impact', 'Lucida Grande', 'sans-serif', 'Tahoma', 'Times New Roman', 'Verdana'],
				toolbar: [
					['style', ['style']],
					['font', ['bold', 'underline', 'clear']],
					['fontname', ['fontname']],
					['color', ['color']],
					['fontsize', ['fontsize']],
					['para', ['ul', 'ol', 'paragraph']],
					['table', ['table']],
					['insert', ['link', 'picture', 'video']],
					['view', ['help']]
				]
		    });

		    $('.dynamic-subject').on('keyup', function(e){
			    e.preventDefault();
			    $('.email-subject span').text($(this).val());
			});
		});
	</script>

</body>

</html>